Last Comment Bug 313394 - file help-index1.rdf - several bugs
: file help-index1.rdf - several bugs
Status: RESOLVED FIXED
: fixed1.8
Product: Documentation
Classification: Graveyard
Component: Help Viewer (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Giacomo Magnini
: Daniel Wang
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-22 10:57 PDT by lenochod
Modified: 2005-11-02 14:44 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Full patch, with tab removal (79.36 KB, patch)
2005-10-25 09:33 PDT, Giacomo Magnini
iann_bugzilla: review+
neil: superreview+
Details | Diff | Splinter Review
-w version for easier review, showing real changes only (7.04 KB, patch)
2005-10-25 09:34 PDT, Giacomo Magnini
no flags Details | Diff | Splinter Review
What Neil Asked for. Carrying over r/sr+ (Checked in trunk and branch) (79.36 KB, patch)
2005-11-01 04:00 PST, Giacomo Magnini
prometeo.bugs: review+
prometeo.bugs: superreview+
mtschrep: approval1.8rc2+
Details | Diff | Splinter Review

Description lenochod 2005-10-22 10:57:36 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.8b4) Gecko/20050913 SeaMonkey/1.0a
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.8b4) Gecko/20050913 SeaMonkey/1.0a

1) 2x <rdf:Description ID="SSL" - isn't view all

2)  nc:link="nav_help.xhtml#copying_saving__and_printing_pages" - 2x _ in
"saving__and"

3) 2x in section <rdf:Description about="#Navigator"> lines:
    <rdf:li>
        <rdf:Description ID="Navigator:controlling_popups"
          nc:name="controlling popups"
          nc:link="cs_priv_prefs_popup.xhtml#controlling_popups"/>
    </rdf:li>

4) change
        nc:link="nav_help.xhtml#Navigator:setting_image_as_wallpaper"/>
    to
        nc:link="nav_help.xhtml#setting_image_as_wallpaper"/>

5) subcategory
<rdf:Description about="#colors">
haven't category
<rdf:Description ID="colors"


6)  in
    <rdf:li>
       <rdf:Description ID="bookmarks:exporting_bookmarks"
         nc:name="exporting bookmarks"
     nc:link="customize_help.xhtml#exporting_or_importing_a_bookmark"/>
     </rdf:li>
 change
#exporting_or_importing_a_bookmark
on
#exporting_or_importing_a_bookmark_list

7) in
     <rdf:li>
       <rdf:Description ID="Composer:setting_page_colors"
         nc:name="setting page colors"
     nc:link="composer_help.xhtml#setting_page_colors_and_background"/>
     </rdf:li>
 change
#setting_page_colors_and_background
on
#setting_page_colors_and_backgrounds

Reproducible: Always
Comment 1 Stefan [:stefanh] 2005-10-22 11:16:37 PDT
Good catch ;)

This should happen on the trunk as well.
Comment 2 Stefan [:stefanh] 2005-10-22 13:07:07 PDT
Looked at it:

> 1) 2x <rdf:Description ID="SSL" - isn't view all

This one actually do show up for me (trunk/branch). Not sure what's going on here.
 

> 5) subcategory
> <rdf:Description about="#colors">
> haven't category
> <rdf:Description ID="colors"

I can't find this, the only "<rdf:Description about="#colors">" I can find is
the one at line 237 (trunk/branch). And that looks OK. Are you refering to the
help-index1.rdf file in your cs-CZ.jar package?

The rest are straightforward.



Comment 3 lenochod 2005-10-23 01:09:54 PDT
(In reply to comment #2)
> Looked at it:
> > 5) subcategory
> > <rdf:Description about="#colors">
> > haven't category
> > <rdf:Description ID="colors"
> 
> I can't find this, the only "<rdf:Description about="#colors">" I can find is
> the one at line 237 (trunk/branch). And that looks OK. Are you refering to the
> help-index1.rdf file in your cs-CZ.jar package

SeaMonkey 1.0a Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050913 SeaMonkey/1.0a
In menu
  Help-Help Contents
In Left
  Index
There can't find "customizing web page" from
<rdf:Description about="#colors">
   <nc:subheadings>
     <rdf:Seq><rdf:li>
       <rdf:Description ID="colors:customizing_web_page"
         nc:name="customizing web page"
	 nc:link="customize_help.xhtml#changing_the_default_colors"/>
     </rdf:li></rdf:Seq>
   </nc:subheadings>
</rdf:Description>

I can't find in file help-index1.rdf line <rdf:Description ID="colors"
Comment 4 lenochod 2005-10-23 01:30:43 PDT
(In reply to comment #2)
> Looked at it:
> 
> > 1) 2x <rdf:Description ID="SSL" - isn't view all
> 
> This one actually do show up for me (trunk/branch). Not sure what's going on here.

SeaMonkey 1.0a Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050913
SeaMonkey/1.0a
In menu
  Help-Help Contents
In Left
  Index
There I find item "SSL" but I can't find item "cipher technologies"
Comment 5 Giacomo Magnini 2005-10-23 01:52:19 PDT
(In reply to comment #3)
> There can't find "customizing web page" from ...
> I can't find in file help-index1.rdf line <rdf:Description ID="colors"

IMO, this one should be unified with "Customizing Fonts": both refer to the instructions on how to change the web page display (changing colors, fonts and themes), so probably a single entry pointing to customize_help.xhtml#changing_fonts_colors_and_themes should suffice. Suggestions?
I've fixed locally (added bonus: de-tabified the file) the others reported problems, and I'm investigating the SSL one further...
Comment 6 Giacomo Magnini 2005-10-23 02:23:18 PDT
(In reply to comment #4)
> There I find item "SSL" but I can't find item "cipher technologies"

Ok, got it, and actually found a few problems:
1) "cipher technologies" is under encryption, pointing to SSL-Edit ciphers, probably because of the reference to NSS encryption technologies (which is an outside link, actually out of date but covered in bug 311330)
2) There is no explanation of encryption/signing, which, IMO, should be added under encryption (->mail_sec_help.xhtml#about_digital_signatures_and_encryption)
3) Under the SSL category, IMO, we should add a link to the SSL protocols (->ssl_help.xhtml#ssl_protocol_versions).

For the above problem, my proposal is:
     <rdf:li>
       <rdf:Description ID="Customizing web page display"
         nc:name="Customizing web page display"
         nc:link="customize_help.xhtml#changing_fonts_colors_and_themes"/>
     </rdf:li>
removing the entries "Customizing Fonts" and "customizing web page".
Comment 7 Giacomo Magnini 2005-10-23 02:47:46 PDT
Another problem with SSL: there is a duplicated entry, one in the main #s section, and one in #SSL. Removed the first one as a start! :)
Comment 8 Stefan [:stefanh] 2005-10-23 05:17:08 PDT
(In reply to comment #5)
> (In reply to comment #3)
> > There can't find "customizing web page" from ...
> > I can't find in file help-index1.rdf line <rdf:Description ID="colors"
> 
> IMO, this one should be unified with "Customizing Fonts": both refer to the
> instructions on how to change the web page display (changing colors, fonts and
> themes), so probably a single entry pointing to
> customize_help.xhtml#changing_fonts_colors_and_themes should suffice.
> Suggestions?

Sounds good to me. 


> I've fixed locally (added bonus: de-tabified the file) the others reported
> problems

Nice :) Personally, I would like this on the branch as  well. Will de-tabbing cause a lot of problems for localizers (since you actually change the whole file)?

Comment 9 Giacomo Magnini 2005-10-24 01:29:35 PDT
(In reply to comment #8)
> Sounds good to me. 

Do you mean my proposal in comment #6 is ok?

> Nice :) Personally, I would like this on the branch as  well. Will de-tabbing
> cause a lot of problems for localizers (since you actually change the whole
> file)?

A simple search and replace of one tab with 8 spaces (iirc) on the whole file will do, so not a big deal, and the file will have to be worked on anyway, since we are making some string changes. So I think it will be fine to put it on branch, since it restores some functionality as well.
Waiting for some input on my proposals about the SSL problem to provide a full patch.
Comment 10 Stefan [:stefanh] 2005-10-24 08:09:15 PDT
(In reply to comment #9)
> (In reply to comment #8)
> > Sounds good to me. 
> 
> Do you mean my proposal in comment #6 is ok?
 
Yeah, but thinking of it, we should make sure something containing "colors" displays in the index.
Comment 11 Giacomo Magnini 2005-10-25 09:33:03 PDT
Created attachment 200754 [details] [diff] [review]
Full patch, with tab removal
Comment 12 Giacomo Magnini 2005-10-25 09:34:28 PDT
Created attachment 200755 [details] [diff] [review]
-w version for easier review, showing real changes only
Comment 13 Ian Neal 2005-10-27 14:33:57 PDT
Comment on attachment 200755 [details] [diff] [review]
-w version for easier review, showing real changes only

>        <rdf:Description ID="Navigator:set_as_wallpaper"
>          nc:name="set as wallpaper"
>-	 nc:link="nav_help.xhtml#Navigator:setting_image_as_wallpaper"/>
>-     </rdf:li>
>-     <rdf:li>
>-       <rdf:Description ID="Navigator:controlling_popups"
>-         nc:name="controlling popups"
>-	 nc:link="cs_priv_prefs_popup.xhtml#controlling_popups"/>
>+         nc:link="nav_help.xhtml#setting_image_as_wallpaper"/>
>      </rdf:li>
Did you really mean to remove the controlling_popups bit?
Comment 14 Giacomo Magnini 2005-10-28 07:06:06 PDT
(In reply to comment #13)
> Did you really mean to remove the controlling_popups bit?

Yes, it's a doubled entry. The first one is a few lines above (around 1325 in the patched file).
Comment 15 neil@parkwaycc.co.uk 2005-11-01 03:55:03 PST
Comment on attachment 200754 [details] [diff] [review]
Full patch, with tab removal

>-       <rdf:Description ID="Customizing Fonts"
>-         nc:name="Customizing Fonts"
>-	 nc:link="customize_help.xhtml#changing_fonts_colors_and_themes"/>
>+       <rdf:Description ID="Customizing"
>+         nc:name="Customizing colors and fonts"
>+         nc:link="customize_help.xhtml#changing_fonts_colors_and_themes"/>
Should be "Customizing Fonts and Colors" as per the section's title.
Comment 16 Giacomo Magnini 2005-11-01 04:00:36 PST
Created attachment 201500 [details] [diff] [review]
What Neil Asked for. Carrying over r/sr+ (Checked in trunk and branch)
Comment 17 Ian Neal 2005-11-01 04:46:54 PST
Comment on attachment 201500 [details] [diff] [review]
What Neil Asked for. Carrying over r/sr+ (Checked in trunk and branch)

Checking in
help-index1.rdf;
new revision: 1.46; previous revision: 1.45
done
Comment 18 Giacomo Magnini 2005-11-01 05:11:10 PST
Comment on attachment 201500 [details] [diff] [review]
What Neil Asked for. Carrying over r/sr+ (Checked in trunk and branch)

SM only inline help fix, no risk.
Comment 19 Ian Neal 2005-11-02 14:44:31 PST
Comment on attachment 201500 [details] [diff] [review]
What Neil Asked for. Carrying over r/sr+ (Checked in trunk and branch)

Checking in (branch)
help-index1.rdf;
new revision: 1.44.8.1; previous revision: 1.44
done

Note You need to log in before you can comment on or make changes to this bug.